/*
  Class:  ExplosionInfo
  Author: Nathan Roslavker
  Purpose: To communicate the explosion information from
           children of GenericMissile and Explosion to the ScorchField
*/          
           
package Scorch.Weapons;

import java.awt.*;

public class ExplosionInfo 
{
    //the aread that was redrawn by the explosion   
    public Rectangle explosionArea;
    //public Point center; //the center of the explosion
    //public int radius;   //The radius (if relevant). 

    public ExplosionInfo()
    {
    }

    public ExplosionInfo(Rectangle rect)
    {
	explosionArea = rect;
    }

    public String toString()
    {
	String res = "ExplosionInfo: rectangle: "+explosionArea;

	return res;
    }
}
