package Scorch.Weapons;

/*
  Class:  RoundMissile
  Author: Nathan Roslavker
  Desciption: A basic missile that inherits all the
  properties of a GenericMissile.
  SimpleExplosion is used by default to 
  explode the missile upon collision
*/

import java.awt.*;

import Scorch.*;
	            
public class TracerMissile extends GenericMissile
{
    private static int[][] funkyParticle = {{w}}; // fake missile image

    public TracerMissile(Bitmap bitmap, Physics physics, Explosion explosion)
    {
	super(bitmap, physics, funkyParticle, explosion);
	tracer = Color.yellow;
    }
}
