package Scorch;

/*
  Interface:  Explodable
  Author:     Nathan Roslavker
  Desciption: This interface indicates that the implementing class
              is either an explosion or contains an explosion. 
              Explosion, Player, and GenericMissile implement this
              interface (also see ExplosionInfo).
*/            
    
import Scorch.Weapons.ExplosionInfo;
        
public interface Explodable extends FrameShow 
{
    public ExplosionInfo getExplosionInfo();
    public int calculateDamage(ScorchPlayer sp);
}
